html {
  cursor: pointer;
}
body {
  height: 100%;
  margin: 0;
  padding: 0;
  cursor: default;
}

#root {
  height: 100%;
}

li {
  list-style-type: none;
}

.MuiFormHelperText-root.Mui-error {
  color: #f44336;
  font-weight: 400;
}

.MuiFormHelperText-contained {
  margin-left: 0px !important;
  margin-right: 14px;
}

.fc .fc-button .fc-icon {
  vertical-align: middle;
  font-size: 1.5em;
  color: #575962;
}

.fc .fc-button-primary {
  background-color: #f4f5f8 !important;
  border: 0px !important;
  color: #575962 !important;
}

.fc .fc-today-button .fc-button-primary {
  font-size: 11px !important;
  font-family: "Poppins" !important;
}

.fc-toolbar-title {
  font-family: "Poppins" !important;
  font-style: normal !important;
  font-weight: 500 !important;
  font-size: 18px !important;
  line-height: 27px !important;
  color: #575962 !important;
}

.fc td,
.fc th {
  border-style: none !important;
}

.fc-scrollgrid {
  border: none !important;
}

.fc-scrollgrid td:last-of-type {
  border-right: none !important;
}

.fc-day-today {
  background-color: #929398f2 !important;
}

.fc-event {
  height: 20px;
  border-radius: 2px !important;
}

.event-dot {
  height: 7px;
  width: 7px;
  background-color: white;
  border-radius: 50%;
  display: inline-block;
}

.mui-table-loading {
  font-size: 14px;
}

.mui-table-loading:after {
  overflow: hidden;
  display: inline-block;
  vertical-align: bottom;
  -webkit-animation: ellipsis steps(4, end) 900ms infinite;
  animation: ellipsis steps(4, end) 900ms infinite;
  content: "\2026"; /* ascii code for the ellipsis character */
  width: 0px;
}

@keyframes ellipsis {
  to {
    width: 1.25em;
  }
}

@-webkit-keyframes ellipsis {
  to {
    width: 1.25em;
  }
}

.mr3 {
  margin-right: 3px;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0 30px white inset !important;
}

.MuiStepIcon-root.Mui-completed {
  color: green !important;
}

.MuiStepIcon-root.Mui-active {
  color: #3f51b5 !important;
}

.MuiDialog-paperWidthSm {
  max-width: 650px !important;
}

.clickable {
  cursor: pointer;
}

@media (max-width: 600px) {
  .MuiDialog-root {
    z-index: 1350 !important; /* Apply higher z-index for small screens */
  }
}

@media (min-width: 601px) and (max-width: 960px) {
  .MuiDialog-root {
    z-index: 1300 !important; /* Adjust z-index for medium screens */
  }
}

@media print {
  .no-print {
    display: none !important;
  }
}

.white-color {
  color: #ffffff;
}

.divider-border {
  border: 1px solid #979797 !important;
}

.overflow-x-auto {
  overflow-x: auto !important;
}
